/*
 * Copyright 2018 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jbpm.persistence.processinstance.objects;

import org.drools.persistence.api.TransactionManagerFactory;
import org.jbpm.persistence.api.integration.base.TransactionalPersistenceEventManager;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Test extension of <code>TransactionalPersistenceEventManager</code>.
 */
public class TestTransactionalPersistenceEventManager extends TransactionalPersistenceEventManager {

    private static final Logger logger = LoggerFactory.getLogger(TestTransactionalPersistenceEventManager.class);

    public void resetTransactionManager() {
        logger.debug("Reseting Transaction Manager");
        this.tm = TransactionManagerFactory.get().newTransactionManager();
    }
}
